V2 Update Agent#
Updates name, status, folder, or timezone on a V2 agent. folder_id and ai_timezone_id may be Base64 ids from List Folders and List Timezones. Send at least one field.
Authorizationstringheaderrequired
Bearer token in the format: Bearer {access_token}
idstringpathrequired
Public agent id from List Agents
agent_namestringbody
max 255. send only when changing this field
statusstringbody
One of: Active, Inactive. send only when changing this field
folder_idstringbody
may be null. send only when changing this field
ai_timezone_idstringbody
may be null. send only when changing this field
curl --request PATCH \
--url https://app.rizzdial.com/api/ai/agent/v2/update/agent_123 \
--header 'Authorization: Bearer {{bearer_token}}' \
--header 'Content-Type: application/json' \
--data '{"agent_name":"value","status":"Active","folder_id":"value","ai_timezone_id":"value"}'successboolean
true when the call succeeds. Some list responses use status: success instead
dataobject
The saved record, or the list of records